> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tax

> Create a new tax. Can be all-locations (location_ids=None) or location-scoped.



## OpenAPI

````yaml post /admin/taxes
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/taxes:
    post:
      tags:
        - provider
        - admin
      summary: Create Tax
      description: Create a new tax for a location.
      operationId: create_tax_admin_taxes_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaxCreate:
      properties:
        name:
          type: string
          title: Name
          description: Name of the tax (e.g., 'Sales Tax', 'VAT')
        percentage:
          type: number
          maximum: 100
          minimum: 0
          title: Percentage
          description: Tax percentage (e.g., 8.25 for 8.25%)
        location_id:
          type: string
          title: Location Id
          description: Location this tax applies to
      type: object
      required:
        - name
        - percentage
        - location_id
      title: TaxCreate
      description: Schema for creating a new tax.
    TaxDetail:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the tax
        name:
          type: string
          title: Name
          description: Name of the tax (e.g., 'Sales Tax', 'VAT')
        percentage:
          type: number
          title: Percentage
          description: Tax percentage (e.g., 8.25 for 8.25%)
        location_id:
          type: string
          title: Location Id
          description: Location this tax applies to
      type: object
      required:
        - id
        - name
        - percentage
        - location_id
      title: TaxDetail
      description: Detailed tax information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````